interface TaskData {
  id: string;
  task_name?: string;
  author_nickname?: string;
  create_time?: string;
  task_desc?: string;
  start_time?: string;
  end_time?: string;
  type_name?: string;  
  step_list?: Array<FeebackData>;
  attr_list?: any[];
  receiver_users?: Array<{id: string; nickname: string}>
}

interface FeebackData {
  author_avatar?: string;  
  author_nickname?: string;  
  company_id?: string;  
  create_time?: string;  
  create_uid?: string;  
  feed_back?: string;  
  file_list: any[];
  finish_time?: string;  
  id?: string;  
  img_list: any[];
  liable_uid?: string;  
  parent_step_id?: string;  
  receiver_count?: string;  
  receiver_uid?: string;  
  repair_id?: string;  
  reply_uid?: string;  
  service_star?: string;  
  task_id?: string;  
  video_list: any[];
}